maketx(1)

TITLE
maketx -- convert images to tiled, MIP-mapped textures

SYNOPSIS
Usage:  maketx [options] file...

DESCRIPTION
This program is part of the OpenImageIO (http://www.openimageio.org) tool suite. Detailed documentation is avaliable in pdf format with the OpenImageIO distribution.

OPTIONS

--help
    Print help message

-v  Verbose status messages

-o %s
    Output filename

--threads %d
    Number of threads (default: #cores)

-u  Update mode

--format %s
    Specify output file format (default: guess from extension)

--nchannels %d
    Specify the number of output image channels.

--chnames %s
    Rename channels (comma-separated)

-d %s
    Set the output data format to one of: uint8, sint8, uint16, sint16, half, float

--tile %d %d
    Specify tile size

--separate
    Use planarconfig separate (default: contiguous)

--compression %s
    Set the compression method (default = zip, if possible)

--fovcot %f
    Override the frame aspect ratio. Default is width/height.

--wrap %s
    Specify wrap mode (black, clamp, periodic, mirror)

--swrap %s
    Specific s wrap mode separately

--twrap %s
    Specific t wrap mode separately

--resize
    Resize textures to power of 2 (default: no)

--noresize
    Do not resize textures to power of 2 (deprecated)

--filter %s
    Select filter for resizing (choices: box triangle gaussian sharp-gaussian catmull-rom blackman-harris sinc lanczos3 radial-lanczos3 mitchell bspline disk cubic keys simon rifman, default=box)

--hicomp
    Compress HDR range before resize, expand after.

--sharpen %f
    Sharpen MIP levels (default = 0.0 = no)

--nomipmap
    Do not make multiple MIP-map levels

--checknan
    Check for NaN/Inf values (abort if found)

--fixnan %s
    Attempt to fix NaN/Inf values in the image (options: none, black, box3)

--fullpixels
    Set the 'full' image range to be the pixel data window --Mcamera %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f Set the camera matrix --Mscreen %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f %f Set the screen matrix

--prman-metadata
    Add prman specific metadata

--attrib %s %s
    Sets metadata attribute (name, value)

--sattrib %s %s
    Sets string metadata attribute (name, value)

--sansattrib
    Write command line into Software & ImageHistory but remove --sattrib and --attrib options

--constant-color-detect
    Create 1-tile textures from constant color inputs

--monochrome-detect
    Create 1-channel textures from monochrome inputs

--opaque-detect
    Drop alpha channel that is always 1.0

--no-compute-average
    Don't compute and store average color

--ignore-unassoc
    Ignore unassociated alpha tags in input (don't autoconvert)

--runstats
    Print runtime statistics

--mipimage %s
    Specify an individual MIP level

Basic modes (default is plain texture):

    --shadow
        Create shadow map

    --envlatl
        Create lat/long environment map

    --lightprobe
        Create lat/long environment map from a light probe

Color Management Options (OpenColorIO enabled)

    --colorconfig %s
        Explicitly specify an OCIO configuration file

    --colorconvert %s %s
        Apply a color space conversion to the image. If the output color space is not the same bit depth as input color space, it is your responsibility to set the data format to the proper bit depth using the -d option. (choices: linear, sRGB, Rec709)

    --unpremult
        Unpremultiply before color conversion, then premultiply after the color conversion. You'll probably want to use this flag if your image contains an alpha channel.

Configuration Presets

    --prman
        Use PRMan-safe settings for tile size, planarconfig, and metadata.

    --oiio
        Use OIIO-optimized settings for tile size, planarconfig, metadata.